statistics-0.10.2.0: A library of statistical types, data, and functions

Portability | portable
Stability | experimental
Maintainer | bos@serpentine.com
Safe Haskell | None

Statistics.Autocorrelation

Description

Functions for computing autocovariance and autocorrelation of a sample.

Synopsis

- autocovariance :: (Vector v Double, Vector v Int) => v Double -> v Double
- autocorrelation :: (Vector v Double, Vector v Int) => v Double -> (v Double, v Double, v Double)

# Documentation

autocovariance :: (Vector v Double, Vector v Int) => v Double -> v Double

Compute the autocovariance of a sample, i.e. the covariance of the sample against a shifted version of itself.

autocorrelation :: (Vector v Double, Vector v Int) => v Double -> (v Double, v Double, v Double)

Compute the autocorrelation function of a sample, and the upper and lower bounds of confidence intervals for each element.

Note: The calculation of the 95% confidence interval assumes a stationary Gaussian process.